org.apache.ivy.osgi.filter

## Class OrFilter

- java.lang.Object
- - org.apache.ivy.osgi.filter.OSGiFilter
  - - org.apache.ivy.osgi.filter.MultiOperatorFilter
    - - org.apache.ivy.osgi.filter.OrFilter

    public class OrFilter
    extends MultiOperatorFilter

### Constructor Summary

Constructors
Constructor and Description
`OrFilter()`
`OrFilter(OSGiFilter[] filters)`

### Method Summary

Methods
`boolean` `eval(java.util.Map<java.lang.String,java.lang.String> properties)`
`protected char` `operator()`

### Methods inherited from class org.apache.ivy.osgi.filter.MultiOperatorFilter

`add, append, equals, getSubFilters, hashCode`

### Methods inherited from class org.apache.ivy.osgi.filter.OSGiFilter

`toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OrFilter

    public OrFilter()

#### OrFilter

    public OrFilter(OSGiFilter[] filters)

### Method Detail

#### operator

    protected char operator()

Specified by:
  `operator` in class `MultiOperatorFilter`

#### eval

    public boolean eval(java.util.Map<java.lang.String,java.lang.String> properties)

Specified by:
  `eval` in class `OSGiFilter`